/**
*  db
*
*  @author Björn Hase <me@herr-hase.wtf>
*  @license http://opensource.org/licenses/MIT The MIT License
*  @link https://gitea.node001.net/HerrHase/urban-bucket.git
 *
 */

import { Database } from 'bun:sqlite'

function getOrCreateSqlite(options = {}): Database {

    // merge options 
    options = Object.assign({
        name: process.env.NANO_SQLITE_STORAGE + '/' + process.env.NANO_SQLITE_NAME,
        safeIntegers: true
    },  options)

    const name = options.name
    delete options.name 
    
    if (Object.keys(options).length === 0) {
        options = undefined
    }

    const db = new Database(name)
    db.exec('PRAGMA journal_mode = WAL;')
    
    return db
}

export default getOrCreateSqlite
